3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('test'); } catch (Exception $e) { print "catch and rethrow!\n"; throw $e; } finally { print "finally!\n"; }
based on G6Lk8
Output for 7.0.0 - 7.2.0
catch and rethrow! finally! Fatal error: Uncaught Exception: test in /in/ddBlG:4 Stack trace: #0 {main} thrown in /in/ddBlG on line 4
Process exited with code 255.
Output for 5.5.24 - 5.6.28
catch and rethrow! finally! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/ddBlG:4 Stack trace: #0 {main} thrown in /in/ddBlG on line 4
Process exited with code 255.
Output for 5.3.20 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/ddBlG on line 8
Process exited with code 255.